Package ch.qos.logback.classic.spi

## Class LoggingEventVO

- java.lang.Object
- - ch.qos.logback.classic.spi.LoggingEventVO

All Implemented Interfaces:
  `ILoggingEvent`, `DeferredProcessingAware`, `java.io.Serializable`

    public class LoggingEventVO
    extends java.lang.Object
    implements ILoggingEvent, java.io.Serializable

A read-only and serializable implementation of `ILoggingEvent`.

Since:
  0.9.16
Author:
  Ceki Gülcü
See Also:
  Serialized Form

### Constructor Summary

Constructors
`LoggingEventVO()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static LoggingEventVO` `build​(ILoggingEvent le)`
`boolean` `equals​(java.lang.Object obj)`
`java.lang.Object[]` `getArgumentArray()`
`java.lang.StackTraceElement[]` `getCallerData()` Return caller data associated with this event.
`long` `getContextBirthTime()`
`LoggerContextVO` `getContextLoggerRemoteView()`
`java.lang.String` `getFormattedMessage()`
`Level` `getLevel()`
`LoggerContextVO` `getLoggerContextVO()`
`java.lang.String` `getLoggerName()`
`org.slf4j.Marker` `getMarker()`
`java.util.Map<java.lang.String,​java.lang.String>` `getMdc()` Synonym for [@link #getMDCPropertyMap}.
`java.util.Map<java.lang.String,​java.lang.String>` `getMDCPropertyMap()` Returns the MDC map.
`java.lang.String` `getMessage()`
`java.lang.String` `getThreadName()`
`IThrowableProxy` `getThrowableProxy()`
`long` `getTimeStamp()`
`boolean` `hasCallerData()` If this event has caller data, then true is returned.
`int` `hashCode()`
`void` `prepareForDeferredProcessing()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggingEventVO

    public LoggingEventVO()

### Method Detail

#### build

    public static LoggingEventVO build​(ILoggingEvent le)

#### getThreadName

    public java.lang.String getThreadName()

Specified by:
  `getThreadName` in interface `ILoggingEvent`

#### getLoggerContextVO

    public LoggerContextVO getLoggerContextVO()

Specified by:
  `getLoggerContextVO` in interface `ILoggingEvent`

#### getLoggerName

    public java.lang.String getLoggerName()

Specified by:
  `getLoggerName` in interface `ILoggingEvent`

#### getLevel

    public Level getLevel()

Specified by:
  `getLevel` in interface `ILoggingEvent`

#### getMessage

    public java.lang.String getMessage()

Specified by:
  `getMessage` in interface `ILoggingEvent`

#### getFormattedMessage

    public java.lang.String getFormattedMessage()

Specified by:
  `getFormattedMessage` in interface `ILoggingEvent`

#### getArgumentArray

    public java.lang.Object[] getArgumentArray()

Specified by:
  `getArgumentArray` in interface `ILoggingEvent`

#### getThrowableProxy

    public IThrowableProxy getThrowableProxy()

Specified by:
  `getThrowableProxy` in interface `ILoggingEvent`

#### getCallerData

    public java.lang.StackTraceElement[] getCallerData()

Description copied from interface: `ILoggingEvent`
Return caller data associated with this event. Note that calling this event may trigger the computation of caller data.

Specified by:
  `getCallerData` in interface `ILoggingEvent`
Returns:
  the caller data associated with this event.
See Also:
  `ILoggingEvent.hasCallerData()`

#### hasCallerData

    public boolean hasCallerData()

Description copied from interface: `ILoggingEvent`
If this event has caller data, then true is returned. Otherwise the returned value is null.

Logback components wishing to use caller data if available without causing it to be computed can invoke this method before invoking `ILoggingEvent.getCallerData()`.

Specified by:
  `hasCallerData` in interface `ILoggingEvent`
Returns:
  whether this event has caller data

#### getMarker

    public org.slf4j.Marker getMarker()

Specified by:
  `getMarker` in interface `ILoggingEvent`

#### getTimeStamp

    public long getTimeStamp()

Specified by:
  `getTimeStamp` in interface `ILoggingEvent`

#### getContextBirthTime

    public long getContextBirthTime()

#### getContextLoggerRemoteView

    public LoggerContextVO getContextLoggerRemoteView()

#### getMDCPropertyMap

    public java.util.Map<java.lang.String,​java.lang.String> getMDCPropertyMap()

Description copied from interface: `ILoggingEvent`
Returns the MDC map. The returned value can be an empty map but not null.

Specified by:
  `getMDCPropertyMap` in interface `ILoggingEvent`

#### getMdc

    public java.util.Map<java.lang.String,​java.lang.String> getMdc()

Description copied from interface: `ILoggingEvent`
Synonym for [@link #getMDCPropertyMap}.

Specified by:
  `getMdc` in interface `ILoggingEvent`

#### prepareForDeferredProcessing

    public void prepareForDeferredProcessing()

Specified by:
  `prepareForDeferredProcessing` in interface `DeferredProcessingAware`
Specified by:
  `prepareForDeferredProcessing` in interface `ILoggingEvent`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`